Core - Bug # 31760

Status: Resolved Priority: Must have

Author: Francois Suter Category: Backend User Interface
Created: 2011-11-11 Assigned To: Francois Suter
Updated: 2011-11-16 Due date:

TYPO3 Version: 4.5

PHP Version: 53

Complexity: no-brainer

Is Regression:

Sprint Focus:

Subject: Live search does not find all tables

Description

The live search in the TYPO3 backend does not find content in all the expected tables, because it forgets to load the full TCA. Thus

looping on column names does nothing.

NOTE: I'll open a separate issue for 4.6+, because the problem is compound there by having forgotten to apply the new search

properties of the TCA (see #26829) to the live search.

Related issues:

related to Core - Bug # 31761: Live search does not implement search properties

Resolved 2011-11-11

Associated revisions

Revision 91264e80 - 2011-11-16 10:56 - Francois Suter

[BUGFIX] Live search does not find all tables

To find anything in a given table, the live search loops on all that
table's columns. However it forgets to load the full TCA beforehand
and thus fails to find anything in tables for which it is not

fully loaded yet.

Change-Id: lef94a26d5ba9ead77930835e61ebae3b01980368
Fixes: #31760
Releases: 4.5

Reviewed-on: http://review.typo3.org/6631

Reviewed-by: Georg Ringer
Tested-by: Georg Ringer
Reviewed-by: Francois Suter
Tested-by: Francois Suter

History

#1 -2011-11-11 16:08 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change lef94a26d5ba9ead77930835e61ebae3b01980368 has been pushed to the review server.

It is available at http://review.typo3.org/6631
#2 - 2011-11-11 16:12 - Francois Suter
Steps to reproduce:
1. create a record for any table that's not fully loaded by default (let's assume you take the "examples" extension and create a haiku record
. enter text "xyz" in whatever passes for a title for that record type
. save and close
. type "xyz" in the live search and observe that your record does not show up
. click "Show All" and observe that your shows up in normal BE search
. apply the patch
. search again for "xyz" in live search => your record should be visible now (provided it's among the first 5 results)

#3 - 2011-11-16 11:00 - Francois Suter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:91264e80c1b58e91a886b7a82ac6cb6ac5fci7d6f.

2015-08-04 22



